Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

The ultimate Microsoft Fabric, Power BI, Azure AI & SQL learning event! Join us in Las Vegas from March 26-28, 2024. Use code MSCUST for a $100 discount. Register Now

Issue with IBM DB2 connector October 2022 release of Power BI Desktop and the Power BI Service

Since October 24th 2022 the Microsoft version of the IBM DB2 connector returns an error on both Import and DirectQuery when working with JDEdwards on an IBM DB2 database (I haven't tried with other databases and tables).

"HISMPCB0002 In BasePrimitiveConverter the SetCodePage method has been called with a invalid codepage: 937"

 

This goes for the Power BI Desktop October 2022 version as well as the Power BI Service. When I roll back to the PBI Desktop September version I have no errors with my report. But when I publish the report to the service, the error reappears. Unfortunately this prevents us from doing any reports on the database. See also debate on

Solved: Re: Error Message Trying to Hit iSeries DB2 - Microsoft Power BI Community

which does not contain a solution even though it is marked as solved.

Status: Needs Info

Hi @hannibalmads ,

 

power bi desktop has been updated for November version, have you tried using the latest version? Can you connect successfully?

 

Best regards,

Community Support Team Selina zhu

Comments
v-mengzhu-msft
Community Support
Status changed to: Needs Info

Hi @hannibalmads ,

 

power bi desktop has been updated for November version, have you tried using the latest version? Can you connect successfully?

 

Best regards,

Community Support Team Selina zhu

ChuckS
Frequent Visitor

I was part of the discussion on https://community.powerbi.com/t5/Desktop/Error-Message-Trying-to-Hit-iSeries-DB2/m-p/2881214 experianceing the same DB2 issue with the October version. Rolling back to the September version was the only solution at the time.

I do not see the November version of PBi Desktop. When I click the "Upgrade available" in PBi Desktop it goes to the October version. 

ChuckS_0-1668002190290.png

 

What is the link for the November version? Not the Oct version released on Nov 7th

ChuckS
Frequent Visitor

I have tested with the latest version of Desktop and Gateway. Having either one or both in the mix will cause connectivity issues with a DB2 datasource. 
This has been confirmed on multiple PBi Desktop installation as well as multiple gateways.

As it stands now, if you are accessing a DB2 datasource you need to use gateway version 3000.142.14 and Desktop Version: 2.109.1021.0 64-bit (September 2022)

This should be moved up the issues chain as it is a solution breaking issue.

hannibalmads
Advocate III

As stated there is no November version to test it @v-mengzhu-msft 

Joshrodgers123
Advocate III

I am getting this error as well on the October desktop and gateway release. Rolling back both to September solved it.

waynesteele
Employee

I am a developer who works on the Mashup (aka PowerQuery) engine.

 

If you contact support for this issue, please tell them it has been opened in ICM#348059006, and in Power Query Bug #945088.

I have attached workaround instructions in both of those places.

 

I have also placed the workaround steps here:  https://1drv.ms/u/s!AoVHHqNdBM4VgQfWbxvB-rZOCWfr?e=amInQA 

 

 

NickTT
Helper II

FYI... the Gateway Version 3000.146.10 also had this bug. When I tried to uninstall it and install the September version of the gateway, I selected the Migrate option so I can re-register the gateway with my recovery key it didn't give me any dropdowns to select Cluster and Servers. I ended up having to restore the server from backup prior to the patch being installed.

hannibalmads
Advocate III

Hi @v-mengzhu-msft 

 

The November edition was only released last week but I can confirm that the bug is still there in the latest version (as of December 5th).

I have not tested the workaround posted by @waynesteele on the November edition yet.

waynesteele
Employee

This will be fixed in the first release of 2023.

NickTT
Helper II

ETA?